KIT_PSE84_AI BSP

| KIT_PSE84_AI BSP

API Reference | Functions
Functions
Startup/System

## General Description

## API Reference
| Cortex-M33 Control Functions
| Cortex-M55 Control Functions

## Functions
void | SystemInit (void)
| Initializes the system. More...
void | SystemCoreClockUpdate (void)
| Update information about system clocks. More...
void | SystemCoreClockSetup (uint32_t systemCoreClk_freq_hz, uint32_t ahb_freq_hz)
| Populates system clock frequency variables with the provided values. More...
void | Cy_SystemInit (void)
| Performs custom system initialization. More...

## Function Documentation

## ◆ SystemInit()

void SystemInit | ( | void |  | ) |

Initializes the system.

Custom steps can be added to this process by overrding the weak Cy_SystemInit() function.

Initializes the system.

Initialize the System and update the SystemCoreClock variable.

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Update information about system clocks.

Gets core clock frequency and updates SystemCoreClock, and cy_AhbFreqHz.

Updates global variables used by the Cy_SysLib_Delay(), Cy_SysLib_DelayUs(), and Cy_SysLib_DelayCycles().

Update information about system clocks.

Updates the SystemCoreClock with current core Clock retrieved from cpu registers.

## ◆ SystemCoreClockSetup()

void SystemCoreClockSetup | ( | uint32_t | systemCoreClk_freq_hz,
|  | uint32_t | ahb_freq_hz
| ) |  |

Populates system clock frequency variables with the provided values.

Sets the startup clock frequencies of SystemCoreClock, and cy_AhbFreqHz variables.

Parameters

  systemCoreClk_freq_hz | Frequency in Hz for the System Core Clock (e.g. Cortex-M33)
  ahb_freq_hz | Frequency in Hz of the AHB source

Note
  This API does not take into account any run-time clock frequency updates. Should any updates occur, SystemCoreClockUpdate must be called afterwards on the CM33_NS and CM55.

Populates system clock frequency variables with the provided values.

Sets the SystemCoreClock with initial core Clock retrieved from cpu registers.

## ◆ Cy_SystemInit()

void Cy_SystemInit | ( | void |  | ) |

Performs custom system initialization.

The function is called during device startup. This is a weak function that by default does nothing. It can be overridden to add custom steps to SystemInit